# Lines configured by zsh-newuser-install
HISTFILE=~/.histfile
HISTSIZE=5000
SAVEHIST=5000
setopt hist_ignore_all_dups
setopt extendedglob
unsetopt beep
setopt interactivecomments
bindkey -v
# End of lines configured by zsh-newuser-install
# The following lines were added by compinstall
zstyle :compinstall filename '/home/andreas/.zshrc'

autoload -Uz compinit
compinit
# End of lines added by compinstall

bindkey -v '^?' backward-delete-char

autoload -Uz vcs_info
precmd() { vcs_info }
zstyle ':vcs_info:git:*' formats '%b '
setopt PROMPT_SUBST
PROMPT='%F{magenta}[%m] %F{blue}%~%f %F{red}${vcs_info_msg_0_}%f$ '

source /usr/share/fzf/key-bindings.zsh
source /usr/share/fzf/completion.zsh

alias ssh='kitty +kitten ssh'

alias ls='ls --color=auto'
alias grep='grep --color=auto'
alias ll='ls -l'
alias la='ls -la'
alias ..="cd .."
alias ...="cd ../.."
alias ....="cd ../../.."

export PATH=$PATH:/home/andreas/.local/bin
export EDITOR=nvim

alias get-idf='. $HOME/ext_sw/esp-idf/export.sh'

alias c='cd ~/.dotfiles'
alias sc='cd ~/.config/sway'
alias nc='cd ~/.config/nvim'
alias flog='nvim -c "Flog -all"'

. "$HOME/.cargo/env"

eval "$(zoxide init zsh)"
eval "$(thefuck --alias)"

. "$HOME/.zsh/zsh-autosuggestions/zsh-autosuggestions.zsh"
bindkey '^y' autosuggest-accept
